Bug 1787206 - please migrate to the new Fedora translation platform
Summary: please migrate to the new Fedora translation platform
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: dnf-plugins-core
Version: 32
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Marek Blaha
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-01-01 12:58 UTC by jibecfed
Modified: 2020-08-27 07:28 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-08-27 07:27:57 UTC
Type: Bug


Attachments (Terms of Use)

Description jibecfed 2020-01-01 12:58:59 UTC
Hello, the Fedora project migrates its translation platform to Weblate [1].

This tool directly interact with your git repository, and requires us to know:
* [mandatory] which branch is your development branch?
* [mandatory] have you merged latest translation from Zanata and locked the project?
* [info] Weblate will handle updates when pot file changes, don't edit po files for this [2]
* [optional] what is the license of translation? (please use a code from https://spdx.org/licenses/)
* [optional] do you have any announcement/warning you would like to display to the translators? (it will be displayed in Weblate)
* [optional] do you need us to activate any specific checks? (this is a setting per component [3])
* [optional] do you need us to automatically detect new translation files? (typical usecase: website translation with one translation file per page)

Please note:
* For github hosted projects, Weblate open pull request. For other project, you'll have to add a key to allow commits.
* In Weblate's vocable, one project is a group of component. Each component is a translation file. You can have many projects or many components or both.
* You can change your mind over time, just reach trans@lists.fedoraproject.org

[1] https://communityblog.fedoraproject.org/fedora-localization-platform-migrates-to-weblate/ 
[2] https://docs.weblate.org/en/latest/admin/continuous.html#avoiding-merge-conflicts
[3] https://docs.weblate.org/en/latest/user/checks.html#translation-checks

Comment 1 Ben Cotton 2020-02-11 17:19:10 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 32 development cycle.
Changing version to 32.

Comment 2 Marek Blaha 2020-03-19 14:29:12 UTC
The translations repository for dnf-plugins core has been created: https://github.com/rpm-software-management/dnf-plugins-core-l10n. Weblate bot should have been given write access.

Comment 3 jibecfed 2020-03-19 21:08:01 UTC
why did you create a dedicated repository as you still have po files in https://github.com/rpm-software-management/dnf-plugins-core/tree/master/po ?

configuration is done: https://translate.fedoraproject.org/projects/dnf/dnf-plugins-core-l10n-master/

Comment 4 Marek Blaha 2020-03-23 06:22:46 UTC
We need po files to be part of the source tarball for building rpms. Our workflow is now following:
- we regularly synchronize *.pot files in -l10n repo with source codes repo
- weblate automatically pushes translations updates to -l10n repo (we do not want to have all those commits in our git history therefore separate repo)
- before release we sync the translations back to source repo and translations become part of the release

Comment 5 jibecfed 2020-08-27 07:27:57 UTC
I think we can close this, have a nice day


Note You need to log in before you can comment on or make changes to this bug.